## percona-server 8.4.0-1

=== debian/changelog ===
percona-server (8.4.0-1-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.0-1-1

 -- Debian <admin@ip-10-199-1-70.eu-west-1.compute.internal>  Sat, 17 Aug 2024 14:51:59 +0000
