=== debian/rules ===
--- 
+++ 
@@ -6,13 +6,14 @@
 export DH_VERBOSE=1
 export CFLAGS=
 export CXXFLAGS=
+export CPPFLAGS=
 
 PACKAGE=percona-server
 PS_VERSION_EXTRA = '1'
-REVISION = 'fcee26ff'
+REVISION = '238b3c02'
 COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
 COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
-TOKUDB_BACKUP_VERSION = "8.3.0-1"
+TOKUDB_BACKUP_VERSION = "8.4.0-1"
 
 TMP=$(CURDIR)/debian/tmp/
 TMPD=$(CURDIR)/debian/tmp-debug/
@@ -92,9 +93,10 @@
 		-DWITH_EDITLINE=bundled \
 		-DWITH_LIBEVENT=bundled \
 		-DWITH_FIDO=bundled \
-                -DWITH_ENCRYPTION_UDF=ON \
+		-DWITH_ENCRYPTION_UDF=ON \
 		-DWITH_NUMA=ON \
 		-DWITH_LDAP=system \
+		-DWITH_PERCONA_TELEMETRY=ON \
 		-DWITH_EXTRA_CHARSETS=all $(TOKUDB_OPTS_DEBUG) ..
 endif
 
@@ -143,6 +145,7 @@
 		-DWITH_ENCRYPTION_UDF=ON \
 		-DWITH_NUMA=ON \
 		-DWITH_LDAP=system \
+		-DWITH_PERCONA_TELEMETRY=ON \
 		-DWITH_EXTRA_CHARSETS=all $(TOKUDB_OPTS_RELEASE) ..
 
 	touch $@
@@ -199,24 +202,32 @@
 	install -d $(TMP)/etc/apparmor.d
 	install -d $(TMP)/etc/apparmor.d/local
 
-override_dh_install:
-	dh_install
-	patchelf --debug --set-rpath $(rpath) debian/percona-server-server/usr/lib/mysql/plugin/authentication_fido.so
-	@echo "RULES.$@"
-
 override_dh_strip:
 	dh_strip --dbg-package=percona-server-dbg
 	dh_strip -Xlibprotobuf-lite
-
-override_dh_shlibdeps:
-	dh_shlibdeps -Lpercona-server-server -l/usr/lib/mysql/private --dpkg-shlibdeps-params=--ignore-missing-info
-
-override_dh_installinit:
-	@echo "RULES.$@"
-#	dh_apparmor -ppercona-server-server --profile-name=usr.sbin.mysqld
-#	dh_apparmor -ppercona-mysql-router --profile-name=usr.bin.mysqlrouter
-	dh_systemd_enable --name=mysql; dh_systemd_enable --no-enable --name=mysql@
-	dh_installinit --name=mysql -- defaults 19 21
-	dh_installinit --name=mysqlrouter -- defaults 19 21
-	dh_systemd_start --restart-after-upgrade
-	touch $@
+	dh_strip -Xlibabsl_bad_any_cast_impl
+	dh_strip -Xlibabsl_bad_optional_access
+	dh_strip -Xlibabsl_bad_variant_access
+	dh_strip -Xlibabsl_base
+	dh_strip -Xlibabsl_city
+	dh_strip -Xlibabsl_civil_time
+	dh_strip -Xlibabsl_cord_internal
+	dh_strip -Xlibabsl_cord
+	dh_strip -Xlibabsl_cordz_functions
+	dh_strip -Xlibabsl_cordz_handle
+	dh_strip -Xlibabsl_cordz_info
+	dh_strip -Xlibabsl_cordz_sample_token
+	dh_strip -Xlibabsl_crc32c
+	dh_strip -Xlibabsl_crc_cord_state
+	dh_strip -Xlibabsl_crc_cpu_detect
+	dh_strip -Xlibabsl_crc_internal
+	dh_strip -Xlibabsl_debugging_internal
+	dh_strip -Xlibabsl_demangle_internal
+	dh_strip -Xlibabsl_die_if_null
+	dh_strip -Xlibabsl_examine_stack
+	dh_strip -Xlibabsl_exponential_biased
+	dh_strip -Xlibabsl_failure_signal_handler
+	dh_strip -Xlibabsl_flags_commandlineflag_internal
+	dh_strip -Xlibabsl_flags_commandlineflag
+	dh_strip -Xlibabsl_flags_config
+	dh_strip -Xlibabsl_flags_internal
