## percona-server 8.4.2-2

=== debian/changelog ===
percona-server (8.4.2-2-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.2-2-1

 -- Debian <admin@ip-10-199-1-212.eu-west-1.compute.internal>  Mon, 28 Oct 2024 16:23:10 +0000
