=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 export CPPFLAGS=
 
 PACKAGE=percona-server
-PS_VERSION_EXTRA = '1'
-REVISION = '238b3c02'
+PS_VERSION_EXTRA = '2'
+REVISION = 'd5292ef1'
 COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
 COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
-TOKUDB_BACKUP_VERSION = "8.4.0-1"
+TOKUDB_BACKUP_VERSION = "8.4.2-2"
 
 TMP=$(CURDIR)/debian/tmp/
 TMPD=$(CURDIR)/debian/tmp-debug/
