## percona-server 8.4.3-3

=== debian/changelog ===
percona-server (8.4.3-3-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.3-3-1

 -- Debian <admin@ip-10-199-1-117.eu-west-1.compute.internal>  Tue, 17 Dec 2024 14:36:46 +0000
