=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,19 @@
 export CFLAGS=
 export CXXFLAGS=
 export CPPFLAGS=
+export FIPSMODE=0
 
 PACKAGE=percona-server
-PS_VERSION_EXTRA = '2'
-REVISION = 'd5292ef1'
-COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
-COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
-TOKUDB_BACKUP_VERSION = "8.4.2-2"
+PS_VERSION_EXTRA = '3'
+REVISION = '505340da'
+ifeq ($(FIPSMODE),1)
+	COMPILATION_COMMENT_RELEASE = "Percona Server Pro (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
+	COMPILATION_COMMENT_DEBUG = "Percona Server Pro - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
+else
+	COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
+	COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
+endif
+TOKUDB_BACKUP_VERSION = "8.4.3-3"
 
 TMP=$(CURDIR)/debian/tmp/
 TMPD=$(CURDIR)/debian/tmp-debug/
@@ -224,10 +230,3 @@
 	dh_strip -Xlibabsl_debugging_internal
 	dh_strip -Xlibabsl_demangle_internal
 	dh_strip -Xlibabsl_die_if_null
-	dh_strip -Xlibabsl_examine_stack
-	dh_strip -Xlibabsl_exponential_biased
-	dh_strip -Xlibabsl_failure_signal_handler
-	dh_strip -Xlibabsl_flags_commandlineflag_internal
-	dh_strip -Xlibabsl_flags_commandlineflag
-	dh_strip -Xlibabsl_flags_config
-	dh_strip -Xlibabsl_flags_internal
