## percona-server 8.4.4-4

=== debian/changelog ===
percona-server (8.4.4-4-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.4-4-1

 -- root <root@24ed83d9fbd7>  Mon, 10 Mar 2025 11:18:40 +0000
