## percona-server 8.4.5-5

=== debian/changelog ===
percona-server (8.4.5-5-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.5-5-1

 -- root <root@1d6457fdc0bf>  Tue, 27 May 2025 16:54:58 +0000
