=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,11 @@
 export CPPFLAGS=
 
 PACKAGE=percona-server
-PS_VERSION_EXTRA = '4'
-REVISION = '844fde07'
+PS_VERSION_EXTRA = '5'
+REVISION = '3d3abca6'
 COMPILATION_COMMENT_RELEASE = "Percona Server (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
 COMPILATION_COMMENT_DEBUG = "Percona Server - Debug (GPL), Release $(PS_VERSION_EXTRA), Revision $(REVISION)"
-TOKUDB_BACKUP_VERSION = "8.4.4-4"
+TOKUDB_BACKUP_VERSION = "8.4.5-5"
 
 TMP=$(CURDIR)/debian/tmp/
 TMPD=$(CURDIR)/debian/tmp-debug/
