## percona-server 8.4.6-6

=== debian/changelog ===
percona-server (8.4.6-6-1) unstable; urgency=medium

  * Update to new upstream release Percona Server 8.4.6-6-1

 -- root <root@461ff9944e38>  Mon, 01 Sep 2025 21:34:28 +0000
