=== debian/control ===
--- 
+++ 
@@ -33,7 +33,8 @@
 Architecture: any
 Depends: percona-server-server (= ${binary:Version}), ${misc:Depends}
 Breaks: percona-server-rocksdb-5.7
-Replaces: percona-server-rocksdb-5.7
+Replaces: percona-server-rocksdb-5.7, percona-server-rocksdb-pro
+Conflicts: percona-server-rocksdb-pro
 Description: MyRocks storage engine plugin for Percona Server
  .
  MyRocks is a storage engine for Percona Server which incorporates RocksDB
@@ -103,7 +104,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: percona-server-common-5.7
 Provides: mysql-common
-Replaces: mysql-common, percona-server-common-5.7
+Replaces: mysql-common, percona-server-common-5.7, percona-server-pro-common
+Conflicts: percona-server-pro-common
 Description: Percona Server database common files (e.g. /etc/mysql/my.cnf)
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -159,8 +161,9 @@
            mariadb-client-core-5.5,
            mariadb-client-5.5,
            virtual-mysql-client,
-           virtual-mysql-client-core
-Conflicts: percona-server-client (< 8.0.12)
+           virtual-mysql-client-core,
+           percona-server-client-pro
+Conflicts: percona-server-client (< 8.0.12), percona-server-client-pro
 Description: Percona Server database client binaries
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -224,9 +227,11 @@
           mariadb-server-core-5.5,
           mariadb-server-5.5,
           virtual-mysql-server,
-          virtual-mysql-server-core
+          virtual-mysql-server-core,
+          percona-server-server-pro
 Conflicts: percona-server-server (< 8.0.12),
-           percona-server-tokudb
+           percona-server-tokudb,
+           percona-server-server-pro
 Description: Percona Server database server binaries
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -241,7 +246,8 @@
          percona-server-server (= ${binary:Version}),
          libperconaserverclient22-dev (= ${binary:Version}),
          perl, ${misc:Depends}, ${shlibs:Depends}
-Replaces: percona-server-server, percona-server-client
+Replaces: percona-server-server, percona-server-client, percona-server-test-pro
+Conflicts: percona-server-test-pro
 Description: Percona Server database test suite
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -263,6 +269,8 @@
 Architecture: any
 Section: debug
 Depends: percona-server-server (= ${binary:Version}), ${misc:Depends}
+Replaces: percona-server-pro-dbg
+Conflicts: percona-server-pro-dbg
 Description: Debugging package for Percona Server
  Percona Server is a fast, stable and true multi-user, multi-threaded SQL
  database server. SQL (Structured Query Language) is the most popular database
@@ -275,4 +283,6 @@
 Architecture: any
 Description: Percona MySQL Router
 Depends: ${shlibs:Depends}, ${misc:Depends}
-
+Replaces: percona-mysql-router-pro
+Conflicts: percona-mysql-router-pro
+
