=== debian/watch ===
version=3
https://www.percona.com/downloads/Percona-Server-8.0/LATEST/source/percona-server-([\d\.]+)-([\d\.]+).tar.gz
